
QGIS Application - Bug report #17118

reshape tool reset Z values when extending lines - only with some data providers

2017-09-11 10:52 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25017

Description

Hi a user raised an issue with reshape tool and LINESTRINZ using either shp or PostGIS in 2.18.12.

When extending a linestring with reshape tool, all z and m values are lost and reset to 0 when committing to the provider. Modifying the

shape in the middle of the Linestring is not affected.

GPKG appears to work correctly, which is strange, I though maptools were provider independent.

Associated revisions

Revision cfec1250 - 2017-10-16 07:07 AM - Paul Blottiere

[bugfix] Fixes #17118 Reshape tool with z support

Revision 54040cb8 - 2017-10-16 10:32 AM - Paul Blottiere

Merge pull request #5349 from pblottiere/bugfix-reshape-tool

[bugfix] Fixes #17118 Reshape tool with z support

History

#1 - 2017-09-11 12:57 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2017-10-13 12:07 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/5349

by the way, was this a regression?

#3 - 2017-10-13 02:55 PM - Regis Haubourg

by the way, was this a regression?
https://github.com/qgis/QGIS/pull/5349


probably not. Nevertheless it corrupted data.

#4 - 2017-10-16 11:10 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|cfec1250a94eaf6617675b7b08dbd888c8570e2f.
